Welcome to Centmin Mod Community
Register Now

MariaDB Wrong MariaDB version shown when 10.4 upgrade is completed

Discussion in 'Bug Reports' started by deltahf, Feb 3, 2021.

  1. deltahf

    deltahf Premium Member Premium Member

    415
    186
    43
    Jun 8, 2014
    Ratings:
    +324
    Local Time:
    10:59 AM
    This is about as minor of a bug as you can get, but just wanted to share. :ROFLMAO:

    I just upgraded from MariaDB 10.3 to 10.4 via menu option 11 and saw this at the bottom of the output:

    Code (Text):
    mysqladmin  Ver 9.1 Distrib 10.4.17-MariaDB, for Linux on x86_64
    Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.
    
    Server version        10.4.17-MariaDB
    Protocol version    10
    Connection        Localhost via UNIX socket
    UNIX socket        /var/lib/mysql/mysql.sock
    Uptime:            2 sec
    
    Threads: 7  Questions: 1  Slow queries: 0  Opens: 16  Flush tables: 1  Open tables: 10  Queries per second avg: 0.500
    
    ------------------------------------------------
    MariaDB 10.4.x Upgrade completed
    ------------------------------------------------
        __  __               _         ____   ____    _   ___     _____
       |  \/  |  __ _  _ __ (_)  __ _ |  _ \ | __ )  / | / _ \   |___ /   __  __
       | |\/| | / _` || '__|| | / _` || | | ||  _ \  | || | | |    |_ \   \ \/ /
       | |  | || (_| || |   | || (_| || |_| || |_) | | || |_| |_  ___) |_  >  <
       |_|  |_| \__,_||_|   |_| \__,_||____/ |____/  |_| \___/(_)|____/(_)/_/\_\
    
                  _   _                                _            _
                 | | | | _ __    __ _  _ __  __ _   __| |  ___   __| |
                 | | | || '_ \  / _` || '__|/ _` | / _` | / _ \ / _` |
                 | |_| || |_) || (_| || |  | (_| || (_| ||  __/| (_| |
                  \___/ | .__/  \__, ||_|   \__,_| \__,_| \___| \__,_|
                        |_|     |___/
    



    As you can see, the "big text" says that "MariaDB 10.3.x Upgraded" when it should read 10.4.x. Made me do a double-take... thought I messed up and re-installed 10.3! :p
     
  2. eva2000

    eva2000 Administrator Staff Member

    46,663
    10,592
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,439
    Local Time:
    12:59 AM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    haha.. thanks for the heads up - just a cosmetic issue with the message text :)